Subject: bug#2771: 23.0.91; Hang

From: David Abrahams <[email-masked]>
Date: Tue, 24 Mar 2009 14:36:04 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I don't remember what I was doing, but emacs became non-responsive.  I
tried to run gdb on the application from inside an emacs source
directory and attach to the frozen process.  xbacktrace produced no
output at all.  bt yielded:

(gdb) bt
#0  0x93a4e669 in -[NSWindow delegate] ()
#1  0x0016d444 in -[EmacsView keyDown:] ()
#2  0x0017e285 in -[EmacsMenu performKeyEquivalent:] ()
#3  0x93b2f3ac in -[NSApplication _handleKeyEquivalent:] ()
#4  0x93a4c16b in -[NSApplication sendEvent:] ()
#5  0x0016c1e5 in -[EmacsApp sendEvent:] ()
#6  0x939a969f in -[NSApplication run] ()
#7  0x0016a2f3 in ns_read_socket ()
#8  0x0009db21 in read_avail_input ()
#9  0x0016a674 in ns_select ()
#10 0x0014e768 in wait_reading_process_output ()
#11 0x0009f8b9 in read_char ()
#12 0x000a1c94 in read_key_sequence ()
#13 0x000a41ba in command_loop_1 ()
#14 0x0010783d in internal_condition_case ()
#15 0x00093c58 in command_loop_2 ()
#16 0x0010771c in internal_catch ()
#17 0x000939ae in command_loop ()
#18 0x00093a72 in recursive_edit_1 ()
#19 0x00093bf1 in Frecursive_edit ()
#20 0x00092535 in main ()

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-03-05 on black.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  server-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x C-g C-g M-x r e p o r t - e m a <tab> <return>

Recent messages:
Loading /Users/dave/elisp/custom...done
Loading /Users/dave/elisp/config.d/global-keybindings...done
Loading /Users/dave/elisp/config.d/mailcrypt-config...done
Loading /Users/dave/elisp/config.d/manual-autoloads...done
Loading /Users/dave/elisp/config.d/more-init...done
Loading /Users/dave/elisp/config.d/my-loaddefs...done
Loading /Users/dave/elisp/config.d/window-splitting...done
Loading /Users/dave/elisp/autoload.d/lisp-mode-setup...done
Loading /Users/dave/elisp/init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit [2 times]
-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com